Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.httpsession.beanimpl.interfaces
Interface LocalClusteredHTTPSessionHome

All Superinterfaces:
  javax.ejb.EJBLocalHome

public interface LocalClusteredHTTPSessionHome
extends javax.ejb.EJBLocalHome

Local Home interface for clustered HTTP session.

Version:
  $Revision: 1.2 $

  Revisions:

  20020105 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `ClusteredHTTPSession`

Field Summary
`static String` | `JNDI_NAME`

Method Summary
`LocalClusteredHTTPSession` | `create(String sessionId)`
`LocalClusteredHTTPSession` | `create(String sessionId, SerializableHttpSession session)`
`Collection` | `findAll()`
`LocalClusteredHTTPSession` | `findByPrimaryKey(String sessionId)`

Methods inherited from interface javax.ejb.EJBLocalHome
`remove`

Field Detail

### JNDI_NAME

    public static final String JNDI_NAME

See Also:
  Constant Field Values

Method Detail

### create

    public LocalClusteredHTTPSession create(String sessionId)
                                     throws RemoteException,
                                            javax.ejb.CreateException

  Throws:
    `RemoteException`
    `javax.ejb.CreateException`

### create

    public LocalClusteredHTTPSession create(String sessionId,
                                            SerializableHttpSession session)
                                     throws RemoteException,
                                            javax.ejb.CreateException

  Throws:
    `RemoteException`
    `javax.ejb.CreateException`

### findByPrimaryKey

    public LocalClusteredHTTPSession findByPrimaryKey(String sessionId)
                                               throws RemoteException,
                                                      javax.ejb.FinderException

  Throws:
    `RemoteException`
    `javax.ejb.FinderException`

### findAll

    public Collection findAll()
                       throws RemoteException,
                              javax.ejb.FinderException

  Throws:
    `RemoteException`
    `javax.ejb.FinderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.